Update a saved planner location.
curl --request PATCH \
--url https://api.nebyoulous.space/planner/locations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"lat": 0,
"lng": 0,
"bortle": 5,
"isDefault": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', lat: 0, lng: 0, bortle: 5, isDefault: true})
};
fetch('https://api.nebyoulous.space/planner/locations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/planner/locations/{id}"
payload = {
"label": "<string>",
"lat": 0,
"lng": 0,
"bortle": 5,
"isDefault": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"lat": 123,
"lng": 123,
"bortle": 0,
"isDefault": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Planner
Update a saved planner location.
PATCH
/
planner
/
locations
/
{id}
Update a saved planner location.
curl --request PATCH \
--url https://api.nebyoulous.space/planner/locations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"lat": 0,
"lng": 0,
"bortle": 5,
"isDefault": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', lat: 0, lng: 0, bortle: 5, isDefault: true})
};
fetch('https://api.nebyoulous.space/planner/locations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/planner/locations/{id}"
payload = {
"label": "<string>",
"lat": 0,
"lng": 0,
"bortle": 5,
"isDefault": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"lat": 123,
"lng": 123,
"bortle": 0,
"isDefault": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Response
Default Response
Show child attributes
Show child attributes